/* Layout Halaman Detail */
.movie-container {
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 20px;
}

/* Judul Halaman Film */
.movie-header {
    text-align: center;
    margin-bottom: 40px;
}

.movie-header h1 {
    font-family: var(--font-heading);
    font-size: 2rem;
    color: var(--text-primary);
    margin-bottom: 10px;
}

.movie-header p {
    color: var(--text-secondary);
}

/* Layout Gambar & Deskripsi */
.movie-content {
    display: flex;
    gap: 50px;
    align-items:flex-start;
    margin-bottom: 60px;
}

.movie-poster {
    flex: 1;
    max-width: 350px;
    border-radius: 12px;
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.1);
}

.movie-desc {
    flex: 2;
    font-size: 1.1rem;
    line-height: 1.8;
    color: #cccccc;
    text-align: justify;
    text-indent: 1em;
    cursor: default;
}

/* Area Trailer & Download */
.media-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.media-section-series {
    display: inline-block;
    gap: 100px;
}

.button-series {
    gap: 30px;
    display: flex;
    flex-wrap: wrap;
    padding: 10px; 
}

.btn-download-series {
    background-color: var(--accent-blue);
    color: #fff;
    padding: 0px;
    border-radius: 20px;
    font-family: var(--font-heading);
    font-size: 1.2rem;
    transition: background 0.3s, transform 0.2s;
    border: none;
    cursor: pointer;
    display: inline-block;
    margin-top: 20px;
    height: 70px;
    width: 70px;
}

.btn-download-series:hover {
    background-color: var(--color-nogi);
    transform: scale(1.05);
}
.section-label {
    font-family: var(--font-heading);
    font-size: 1.5rem;
    
    padding-bottom: 5px;
}

/* Responsive Iframe Wrapper */
.video-wrapper {
    position: relative;
    width: 100%;
    max-width: 800px;
    aspect-ratio: 16 / 9;
    background: #000;
    border-radius: 12px;
    overflow: hidden;
}

.video-wrapper iframe {
    width: 100%;
    height: 100%;
}

.btn-download {
    background-color: var(--accent-blue);
    color: #fff;
    padding: 15px 40px;
    border-radius: 50px;
    font-family: var(--font-heading);
    font-size: 1.2rem;
    transition: background 0.3s, transform 0.2s;
    border: none;
    cursor: pointer;
    display: inline-block;
    margin-top: 20px;
}

.btn-download-trakteer {
    background-color: var(--color-trakteer);
    color: #fff;
    padding: 15px 40px;
    border-radius: 50px;
    font-family: var(--font-heading);
    font-size: 1.2rem;
    transition: background 0.3s, transform 0.2s;
    border: none;
    cursor: pointer;
    display: inline-block;
    margin-top: 20px;
}

.btn-download:hover {
    background-color: var(--color-nogi);
    transform: scale(1.05);
}

.btn-download-trakteer:hover {
    transform: scale(1.05);
}

/* Setting Style Komentar */
#cusdis_thread {
    width: 1000px;
    max-width: 900;
    margin-left: auto;
    margin-right: auto;
    margin-top: 150px;
    padding-bottom: 300px;
    background: transparent !important;
}

#cusdis_thread iframe{
  width:100%;
  min-height:1000px;
  border: none;
  background-color: transparent !important;
}

/* RESPONSIVE UNTUK SUB-PAGE */
@media (max-width: 768px) {
    .movie-content {
        flex-direction: column;
        align-items: center;
    }

    .movie-poster {
        width: 80%;
        max-width: none;
    }

    .movie-desc {
        width: 100%;
    }

    #cusdis_thread {
        max-width: 310px;
    }
}